RKINITIALIZE(3)

NAME
RkInitialize - initialize the kana-kanji conversion functions

SYNOPSIS
#include <canna/RK.h>
int RkInitialize(dhdpath)
char *dhdpath;

DESCRIPTION
RkInitialize initiates the kana-kanji conversion functions. dhdpath names the dictionary home directory.

Because this library permits multiple kana-kanji conversions to proceed concurrently, it uses the conversion context method of control to manage the kana-kanji conversions. Each context contains internal data needed to perform a kana-kanji conversion.

Users identify the conversion contexts from one another by their context number. A context number is an integer of 0 or greater and is used as the first parameter of the kana-kanji conversion function.

Right after the kana-kanji conversion functions are initialized by RkInitialize, only the standard context with context number 0 exists. Applications using only one context can use the standard context.

RETURN VALUE
This function returns 0 if successful; otherwise, it returns -1.

SEE ALSO
RkFinalize(3)